Here's what to do if easy_install & pip are broken after upgrading to OS X Mavericks šŸ–„

Now, I'm no Python guru, but occasionally I like to use some Python tools from the command line (like this one).

If you're having issues and receiving errors like:

Traceback (most recent call last):
blah...
blah...
blah... 

when trying to install Python packages with

$ pip install

and/or

$ easy_install

after upgrading to OS X Mavericks, here's what I did:

Download the easy_install distribution

$ wget http://python-distribute.org/distribute_setup.py

Let Python set it up and do it's thing

$ sudo python distribute_setup.py

In a stroke of sheer brilliance, use easy_install to install pip

$ sudo easy_install pip

That's it, you're done. You should be able to use the commands to install packages again. Good luck!

If anyone knows why this happens, let me know in the comments.